Bug 251007 (CVE-2007-4211) - CVE-2007-4211 Dovecot possible privilege ascalation in ACL plugin
Summary: CVE-2007-4211 Dovecot possible privilege ascalation in ACL plugin
Status: CLOSED ERRATA
Alias: CVE-2007-4211
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://www.dovecot.org/list/dovecot-n...
Whiteboard: impact=low,reported=20070803,public=2...
Keywords: Security
Depends On: 251008 251009 384771
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-06 14:22 UTC by Red Hat Product Security
Modified: 2009-10-23 19:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-29 06:57:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0297 normal SHIPPED_LIVE Low: dovecot security and bug fix update 2008-05-21 14:20:08 UTC

Description Lubomir Kundrak 2007-08-06 14:22:18 UTC
Description of problem:

A new version of dovecot was issued, The announcement (see URL) reads:
	- ACL plugin: If user was given i (insert) right for a mailbox, but
	  not all s/t/w (seen, deleted, other flags) rights, COPY and APPEND
	  commands weren't supposed to allow saving those flags. This is
	  technically a security fix, but it's unlikely this caused problems
	  for anyone.

Version-Release number of selected component (if applicable):

        Affects: FC7
        Affects: FC6
        Affects: RHEL5
        Doesn't Affect: RHEL4 (no ACL plugin)
        Doesn't Affect: RHEL3 (dovecot not shipped)
        Doesn't Affect: RHEL2.1 (dovecot not shipped)

Comment 5 Tomas Hoger 2008-05-29 06:57:22 UTC
Upstream fixed in 1.0.3:

  http://www.dovecot.org/list/dovecot-news/2007-August/000048.html

All current Fedora versions ship fixed upstream version.

Red Hat Enterprise Linux 5 fixed via:

  http://rhn.redhat.com/errata/RHSA-2008-0297.html


Comment 6 Red Hat Bugzilla 2009-10-23 19:06:08 UTC
Reporter changed to security-response-team@redhat.com by request of Jay Turner.


Note You need to log in before you can comment on or make changes to this bug.